source: tests/preempt_longrun/Makefile.in @ 84b4d607

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resnenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since 84b4d607 was 107b01a, checked in by Thierry Delisle <tdelisle@…>, 5 years ago

Several changes to the makefiles

  • change .c tests to .cfa
  • add require for libtool in configure
  • libtoolize to fix some warnings
  • Property mode set to 100644
File size: 29.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/libtool.m4 \
96        $(top_srcdir)/automake/ltoptions.m4 \
97        $(top_srcdir)/automake/ltsugar.m4 \
98        $(top_srcdir)/automake/ltversion.m4 \
99        $(top_srcdir)/automake/lt~obsolete.m4 \
100        $(top_srcdir)/automake/cfa.m4 $(top_srcdir)/configure.ac
101am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102        $(ACLOCAL_M4)
103DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108AM_V_P = $(am__v_P_@AM_V@)
109am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
110am__v_P_0 = false
111am__v_P_1 = :
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN     " $@;
115am__v_GEN_1 =
116AM_V_at = $(am__v_at_@AM_V@)
117am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
118am__v_at_0 = @
119am__v_at_1 =
120SOURCES =
121DIST_SOURCES =
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128am__tty_colors_dummy = \
129  mgn= red= grn= lgn= blu= brg= std=; \
130  am__color_tests=no
131am__tty_colors = { \
132  $(am__tty_colors_dummy); \
133  if test "X$(AM_COLOR_TESTS)" = Xno; then \
134    am__color_tests=no; \
135  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
136    am__color_tests=yes; \
137  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
138    am__color_tests=yes; \
139  fi; \
140  if test $$am__color_tests = yes; then \
141    red='[0;31m'; \
142    grn='[0;32m'; \
143    lgn='[1;32m'; \
144    blu='[1;34m'; \
145    mgn='[0;35m'; \
146    brg='[1m'; \
147    std='[m'; \
148  fi; \
149}
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177am__recheck_rx = ^[     ]*:recheck:[    ]*
178am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
179am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
180# A command that, given a newline-separated list of test names on the
181# standard input, print the name of the tests that are to be re-run
182# upon "make recheck".
183am__list_recheck_tests = $(AWK) '{ \
184  recheck = 1; \
185  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
186    { \
187      if (rc < 0) \
188        { \
189          if ((getline line2 < ($$0 ".log")) < 0) \
190            recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
194        { \
195          recheck = 0; \
196          break; \
197        } \
198      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
199        { \
200          break; \
201        } \
202    }; \
203  if (recheck) \
204    print $$0; \
205  close ($$0 ".trs"); \
206  close ($$0 ".log"); \
207}'
208# A command that, given a newline-separated list of test names on the
209# standard input, create the global log from their .trs and .log files.
210am__create_global_log = $(AWK) ' \
211function fatal(msg) \
212{ \
213  print "fatal: making $@: " msg | "cat >&2"; \
214  exit 1; \
215} \
216function rst_section(header) \
217{ \
218  print header; \
219  len = length(header); \
220  for (i = 1; i <= len; i = i + 1) \
221    printf "="; \
222  printf "\n\n"; \
223} \
224{ \
225  copy_in_global_log = 1; \
226  global_test_result = "RUN"; \
227  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
228    { \
229      if (rc < 0) \
230         fatal("failed to read from " $$0 ".trs"); \
231      if (line ~ /$(am__global_test_result_rx)/) \
232        { \
233          sub("$(am__global_test_result_rx)", "", line); \
234          sub("[        ]*$$", "", line); \
235          global_test_result = line; \
236        } \
237      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
238        copy_in_global_log = 0; \
239    }; \
240  if (copy_in_global_log) \
241    { \
242      rst_section(global_test_result ": " $$0); \
243      while ((rc = (getline line < ($$0 ".log"))) != 0) \
244      { \
245        if (rc < 0) \
246          fatal("failed to read from " $$0 ".log"); \
247        print line; \
248      }; \
249      printf "\n"; \
250    }; \
251  close ($$0 ".trs"); \
252  close ($$0 ".log"); \
253}'
254# Restructured Text title.
255am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
256# Solaris 10 'make', and several other traditional 'make' implementations,
257# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
258# by disabling -e (using the XSI extension "set +e") if it's set.
259am__sh_e_setup = case $$- in *e*) set +e;; esac
260# Default flags passed to test drivers.
261am__common_driver_flags = \
262  --color-tests "$$am__color_tests" \
263  --enable-hard-errors "$$am__enable_hard_errors" \
264  --expect-failure "$$am__expect_failure"
265# To be inserted before the command running the test.  Creates the
266# directory for the log if needed.  Stores in $dir the directory
267# containing $f, in $tst the test, in $log the log.  Executes the
268# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
269# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
270# will run the test scripts (or their associated LOG_COMPILER, if
271# thy have one).
272am__check_pre = \
273$(am__sh_e_setup);                                      \
274$(am__vpath_adj_setup) $(am__vpath_adj)                 \
275$(am__tty_colors);                                      \
276srcdir=$(srcdir); export srcdir;                        \
277case "$@" in                                            \
278  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
279    *) am__odir=.;;                                     \
280esac;                                                   \
281test "x$$am__odir" = x"." || test -d "$$am__odir"       \
282  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
283if test -f "./$$f"; then dir=./;                        \
284elif test -f "$$f"; then dir=;                          \
285else dir="$(srcdir)/"; fi;                              \
286tst=$$dir$$f; log='$@';                                 \
287if test -n '$(DISABLE_HARD_ERRORS)'; then               \
288  am__enable_hard_errors=no;                            \
289else                                                    \
290  am__enable_hard_errors=yes;                           \
291fi;                                                     \
292case " $(XFAIL_TESTS) " in                              \
293  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
294    am__expect_failure=yes;;                            \
295  *)                                                    \
296    am__expect_failure=no;;                             \
297esac;                                                   \
298$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
299# A shell command to get the names of the tests scripts with any registered
300# extension removed (i.e., equivalently, the names of the test logs, with
301# the '.log' extension removed).  The result is saved in the shell variable
302# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
303# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
304# since that might cause problem with VPATH rewrites for suffix-less tests.
305# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
306am__set_TESTS_bases = \
307  bases='$(TEST_LOGS)'; \
308  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
309  bases=`echo $$bases`
310RECHECK_LOGS = $(TEST_LOGS)
311AM_RECURSIVE_TARGETS = check recheck
312TEST_SUITE_LOG = test-suite.log
313TEST_EXTENSIONS = @EXEEXT@ .test
314LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
315LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
316am__set_b = \
317  case '$@' in \
318    */*) \
319      case '$*' in \
320        */*) b='$*';; \
321          *) b=`echo '$@' | sed 's/\.log$$//'`; \
322       esac;; \
323    *) \
324      b='$*';; \
325  esac
326am__test_logs1 = $(TESTS:=.log)
327am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
328TEST_LOGS = $(am__test_logs2:.test.log=.log)
329TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
330TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
331        $(TEST_LOG_FLAGS)
332am__DIST_COMMON = $(srcdir)/Makefile.in \
333        $(top_srcdir)/automake/test-driver
334DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
335ACLOCAL = @ACLOCAL@
336ALLOCA = @ALLOCA@
337AMTAR = @AMTAR@
338AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
339AR = @AR@
340AUTOCONF = @AUTOCONF@
341AUTOHEADER = @AUTOHEADER@
342AUTOMAKE = @AUTOMAKE@
343AWK = @AWK@
344BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
345CC = @CFACC@
346CCAS = @CCAS@
347CCASDEPMODE = @CCASDEPMODE@
348CCASFLAGS = @CCASFLAGS@
349CCDEPMODE = @CCDEPMODE@
350CFACC = @CFACC@
351CFACPP = @CFACPP@
352CFA_BACKEND_CC = @CFA_BACKEND_CC@
353CFA_BINDIR = @CFA_BINDIR@
354CFA_FLAGS = @CFA_FLAGS@
355CFA_INCDIR = @CFA_INCDIR@
356CFA_LIBDIR = @CFA_LIBDIR@
357CFA_NAME = @CFA_NAME@
358CFA_PREFIX = @CFA_PREFIX@
359CFLAGS = ${BUILD_FLAGS}
360CPP = @CPP@
361CPPFLAGS = @CPPFLAGS@
362CXX = @CXX@
363CXXCPP = @CXXCPP@
364CXXDEPMODE = @CXXDEPMODE@
365CXXFLAGS = @CXXFLAGS@
366CYGPATH_W = @CYGPATH_W@
367DEFS = @DEFS@
368DEPDIR = @DEPDIR@
369DLLTOOL = @DLLTOOL@
370DRIVER_DIR = @DRIVER_DIR@
371DSYMUTIL = @DSYMUTIL@
372DUMPBIN = @DUMPBIN@
373ECHO_C = @ECHO_C@
374ECHO_N = @ECHO_N@
375ECHO_T = @ECHO_T@
376EGREP = @EGREP@
377EXEEXT = @EXEEXT@
378FGREP = @FGREP@
379GREP = @GREP@
380HOST_FLAGS = @HOST_FLAGS@
381INSTALL = @INSTALL@
382INSTALL_DATA = @INSTALL_DATA@
383INSTALL_PROGRAM = @INSTALL_PROGRAM@
384INSTALL_SCRIPT = @INSTALL_SCRIPT@
385INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
386LD = @LD@
387LDFLAGS = @LDFLAGS@
388LEX = @LEX@
389LEXLIB = @LEXLIB@
390LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
391LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
392LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
393LIBOBJS = @LIBOBJS@
394LIBS = @LIBS@
395LIBTOOL = @LIBTOOL@
396LIPO = @LIPO@
397LN_S = @LN_S@
398LTLIBOBJS = @LTLIBOBJS@
399LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
400MAKEINFO = @MAKEINFO@
401MANIFEST_TOOL = @MANIFEST_TOOL@
402MKDIR_P = @MKDIR_P@
403NM = @NM@
404NMEDIT = @NMEDIT@
405OBJDUMP = @OBJDUMP@
406OBJEXT = @OBJEXT@
407OTOOL = @OTOOL@
408OTOOL64 = @OTOOL64@
409PACKAGE = @PACKAGE@
410PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
411PACKAGE_NAME = @PACKAGE_NAME@
412PACKAGE_STRING = @PACKAGE_STRING@
413PACKAGE_TARNAME = @PACKAGE_TARNAME@
414PACKAGE_URL = @PACKAGE_URL@
415PACKAGE_VERSION = @PACKAGE_VERSION@
416PATH_SEPARATOR = @PATH_SEPARATOR@
417RANLIB = @RANLIB@
418SED = @SED@
419SET_MAKE = @SET_MAKE@
420SHELL = @SHELL@
421STRIP = @STRIP@
422TARGET_HOSTS = @TARGET_HOSTS@
423VERSION = @VERSION@
424YACC = @YACC@
425YFLAGS = @YFLAGS@
426abs_builddir = @abs_builddir@
427abs_srcdir = @abs_srcdir@
428abs_top_builddir = @abs_top_builddir@
429abs_top_srcdir = @abs_top_srcdir@
430ac_ct_AR = @ac_ct_AR@
431ac_ct_CC = @ac_ct_CC@
432ac_ct_CXX = @ac_ct_CXX@
433ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
434am__include = @am__include@
435am__leading_dot = @am__leading_dot@
436am__quote = @am__quote@
437am__tar = @am__tar@
438am__untar = @am__untar@
439bindir = @bindir@
440build = @build@
441build_alias = @build_alias@
442build_cpu = @build_cpu@
443build_os = @build_os@
444build_vendor = @build_vendor@
445builddir = @builddir@
446datadir = @datadir@
447datarootdir = @datarootdir@
448docdir = @docdir@
449dvidir = @dvidir@
450exec_prefix = @exec_prefix@
451host = @host@
452host_alias = @host_alias@
453host_cpu = @host_cpu@
454host_os = @host_os@
455host_vendor = @host_vendor@
456htmldir = @htmldir@
457includedir = @includedir@
458infodir = @infodir@
459install_sh = @install_sh@
460libdir = @libdir@
461libexecdir = @libexecdir@
462localedir = @localedir@
463localstatedir = @localstatedir@
464mandir = @mandir@
465mkdir_p = @mkdir_p@
466oldincludedir = @oldincludedir@
467pdfdir = @pdfdir@
468prefix = @prefix@
469program_transform_name = @program_transform_name@
470psdir = @psdir@
471runstatedir = @runstatedir@
472sbindir = @sbindir@
473sharedstatedir = @sharedstatedir@
474srcdir = @srcdir@
475sysconfdir = @sysconfdir@
476target_alias = @target_alias@
477top_build_prefix = @top_build_prefix@
478top_builddir = @top_builddir@
479top_srcdir = @top_srcdir@
480AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
481ACLOCAL_AMFLAGS = -I automake
482repeats = 10
483max_time = 600
484preempt = 10ul\`ms
485debug = -debug
486type = LONG
487REPEAT = ${abs_top_srcdir}/tools/repeat
488WATCHDOG = ${abs_top_srcdir}/tools/watchdog
489TIME = /usr/bin/time -f "%E"
490
491# $(shell ./update-type $(type))
492# ./update-type $(type)
493UPDATED_TYPE = $(shell ./update-type $(type))
494BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -O2 -DPREEMPTION_RATE=${preempt} -I.. -I. -DTEST_$(shell cat .type | tr a-z A-Z)
495TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
496all: all-am
497
498.SUFFIXES:
499.SUFFIXES: .log .test .test$(EXEEXT) .trs
500$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
501        @for dep in $?; do \
502          case '$(am__configure_deps)' in \
503            *$$dep*) \
504              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
505                && { if test -f $@; then exit 0; else break; fi; }; \
506              exit 1;; \
507          esac; \
508        done; \
509        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile'; \
510        $(am__cd) $(top_srcdir) && \
511          $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile
512Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
513        @case '$?' in \
514          *config.status*) \
515            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
516          *) \
517            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
518            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
519        esac;
520
521$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
522        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
523
524$(top_srcdir)/configure:  $(am__configure_deps)
525        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
526$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
527        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
528$(am__aclocal_m4_deps):
529
530mostlyclean-libtool:
531        -rm -f *.lo
532
533clean-libtool:
534        -rm -rf .libs _libs
535tags TAGS:
536
537ctags CTAGS:
538
539cscope cscopelist:
540
541
542# Recover from deleted '.trs' file; this should ensure that
543# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
544# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
545# to avoid problems with "make -n".
546.log.trs:
547        rm -f $< $@
548        $(MAKE) $(AM_MAKEFLAGS) $<
549
550# Leading 'am--fnord' is there to ensure the list of targets does not
551# expand to empty, as could happen e.g. with make check TESTS=''.
552am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
553am--force-recheck:
554        @:
555
556$(TEST_SUITE_LOG): $(TEST_LOGS)
557        @$(am__set_TESTS_bases); \
558        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
559        redo_bases=`for i in $$bases; do \
560                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
561                    done`; \
562        if test -n "$$redo_bases"; then \
563          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
564          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
565          if $(am__make_dryrun); then :; else \
566            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
567          fi; \
568        fi; \
569        if test -n "$$am__remaking_logs"; then \
570          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
571               "recursion detected" >&2; \
572        elif test -n "$$redo_logs"; then \
573          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
574        fi; \
575        if $(am__make_dryrun); then :; else \
576          st=0;  \
577          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
578          for i in $$redo_bases; do \
579            test -f $$i.trs && test -r $$i.trs \
580              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
581            test -f $$i.log && test -r $$i.log \
582              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
583          done; \
584          test $$st -eq 0 || exit 1; \
585        fi
586        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
587        ws='[   ]'; \
588        results=`for b in $$bases; do echo $$b.trs; done`; \
589        test -n "$$results" || results=/dev/null; \
590        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
591        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
592        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
593        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
594        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
595        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
596        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
597        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
598          success=true; \
599        else \
600          success=false; \
601        fi; \
602        br='==================='; br=$$br$$br$$br$$br; \
603        result_count () \
604        { \
605            if test x"$$1" = x"--maybe-color"; then \
606              maybe_colorize=yes; \
607            elif test x"$$1" = x"--no-color"; then \
608              maybe_colorize=no; \
609            else \
610              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
611            fi; \
612            shift; \
613            desc=$$1 count=$$2; \
614            if test $$maybe_colorize = yes && test $$count -gt 0; then \
615              color_start=$$3 color_end=$$std; \
616            else \
617              color_start= color_end=; \
618            fi; \
619            echo "$${color_start}# $$desc $$count$${color_end}"; \
620        }; \
621        create_testsuite_report () \
622        { \
623          result_count $$1 "TOTAL:" $$all   "$$brg"; \
624          result_count $$1 "PASS: " $$pass  "$$grn"; \
625          result_count $$1 "SKIP: " $$skip  "$$blu"; \
626          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
627          result_count $$1 "FAIL: " $$fail  "$$red"; \
628          result_count $$1 "XPASS:" $$xpass "$$red"; \
629          result_count $$1 "ERROR:" $$error "$$mgn"; \
630        }; \
631        {                                                               \
632          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
633            $(am__rst_title);                                           \
634          create_testsuite_report --no-color;                           \
635          echo;                                                         \
636          echo ".. contents:: :depth: 2";                               \
637          echo;                                                         \
638          for b in $$bases; do echo $$b; done                           \
639            | $(am__create_global_log);                                 \
640        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
641        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
642        if $$success; then                                              \
643          col="$$grn";                                                  \
644         else                                                           \
645          col="$$red";                                                  \
646          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
647        fi;                                                             \
648        echo "$${col}$$br$${std}";                                      \
649        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
650        echo "$${col}$$br$${std}";                                      \
651        create_testsuite_report --maybe-color;                          \
652        echo "$$col$$br$$std";                                          \
653        if $$success; then :; else                                      \
654          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
655          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
656            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
657          fi;                                                           \
658          echo "$$col$$br$$std";                                        \
659        fi;                                                             \
660        $$success || exit 1
661
662check-TESTS:
663        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
664        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
665        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
666        @set +e; $(am__set_TESTS_bases); \
667        log_list=`for i in $$bases; do echo $$i.log; done`; \
668        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
669        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
670        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
671        exit $$?;
672recheck: all
673        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
674        @set +e; $(am__set_TESTS_bases); \
675        bases=`for i in $$bases; do echo $$i; done \
676                 | $(am__list_recheck_tests)` || exit 1; \
677        log_list=`for i in $$bases; do echo $$i.log; done`; \
678        log_list=`echo $$log_list`; \
679        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
680                am__force_recheck=am--force-recheck \
681                TEST_LOGS="$$log_list"; \
682        exit $$?
683block.log: block
684        @p='block'; \
685        b='block'; \
686        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
687        --log-file $$b.log --trs-file $$b.trs \
688        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
689        "$$tst" $(AM_TESTS_FD_REDIRECT)
690coroutine.log: coroutine
691        @p='coroutine'; \
692        b='coroutine'; \
693        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
694        --log-file $$b.log --trs-file $$b.trs \
695        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
696        "$$tst" $(AM_TESTS_FD_REDIRECT)
697create.log: create
698        @p='create'; \
699        b='create'; \
700        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
701        --log-file $$b.log --trs-file $$b.trs \
702        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
703        "$$tst" $(AM_TESTS_FD_REDIRECT)
704disjoint.log: disjoint
705        @p='disjoint'; \
706        b='disjoint'; \
707        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
708        --log-file $$b.log --trs-file $$b.trs \
709        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
710        "$$tst" $(AM_TESTS_FD_REDIRECT)
711enter.log: enter
712        @p='enter'; \
713        b='enter'; \
714        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
715        --log-file $$b.log --trs-file $$b.trs \
716        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
717        "$$tst" $(AM_TESTS_FD_REDIRECT)
718enter3.log: enter3
719        @p='enter3'; \
720        b='enter3'; \
721        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
722        --log-file $$b.log --trs-file $$b.trs \
723        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
724        "$$tst" $(AM_TESTS_FD_REDIRECT)
725processor.log: processor
726        @p='processor'; \
727        b='processor'; \
728        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
729        --log-file $$b.log --trs-file $$b.trs \
730        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
731        "$$tst" $(AM_TESTS_FD_REDIRECT)
732stack.log: stack
733        @p='stack'; \
734        b='stack'; \
735        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
736        --log-file $$b.log --trs-file $$b.trs \
737        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
738        "$$tst" $(AM_TESTS_FD_REDIRECT)
739wait.log: wait
740        @p='wait'; \
741        b='wait'; \
742        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
743        --log-file $$b.log --trs-file $$b.trs \
744        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
745        "$$tst" $(AM_TESTS_FD_REDIRECT)
746yield.log: yield
747        @p='yield'; \
748        b='yield'; \
749        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
750        --log-file $$b.log --trs-file $$b.trs \
751        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
752        "$$tst" $(AM_TESTS_FD_REDIRECT)
753.test.log:
754        @p='$<'; \
755        $(am__set_b); \
756        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
757        --log-file $$b.log --trs-file $$b.trs \
758        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
759        "$$tst" $(AM_TESTS_FD_REDIRECT)
760@am__EXEEXT_TRUE@.test$(EXEEXT).log:
761@am__EXEEXT_TRUE@       @p='$<'; \
762@am__EXEEXT_TRUE@       $(am__set_b); \
763@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
764@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
765@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
766@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
767
768distdir: $(DISTFILES)
769        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
770        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
771        list='$(DISTFILES)'; \
772          dist_files=`for file in $$list; do echo $$file; done | \
773          sed -e "s|^$$srcdirstrip/||;t" \
774              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
775        case $$dist_files in \
776          */*) $(MKDIR_P) `echo "$$dist_files" | \
777                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
778                           sort -u` ;; \
779        esac; \
780        for file in $$dist_files; do \
781          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
782          if test -d $$d/$$file; then \
783            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
784            if test -d "$(distdir)/$$file"; then \
785              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
786            fi; \
787            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
788              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
789              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
790            fi; \
791            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
792          else \
793            test -f "$(distdir)/$$file" \
794            || cp -p $$d/$$file "$(distdir)/$$file" \
795            || exit 1; \
796          fi; \
797        done
798check-am: all-am
799        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
800check: check-am
801all-am: Makefile all-local
802installdirs:
803install: install-am
804install-exec: install-exec-am
805install-data: install-data-am
806uninstall: uninstall-am
807
808install-am: all-am
809        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
810
811installcheck: installcheck-am
812install-strip:
813        if test -z '$(STRIP)'; then \
814          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
815            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
816              install; \
817        else \
818          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
819            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
820            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
821        fi
822mostlyclean-generic:
823        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
824        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
825        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
826
827clean-generic:
828
829distclean-generic:
830        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
831        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
832
833maintainer-clean-generic:
834        @echo "This command is intended for maintainers to use"
835        @echo "it deletes files that may require special tools to rebuild."
836clean: clean-am
837
838clean-am: clean-generic clean-libtool clean-local mostlyclean-am
839
840distclean: distclean-am
841        -rm -f Makefile
842distclean-am: clean-am distclean-generic
843
844dvi: dvi-am
845
846dvi-am:
847
848html: html-am
849
850html-am:
851
852info: info-am
853
854info-am:
855
856install-data-am:
857
858install-dvi: install-dvi-am
859
860install-dvi-am:
861
862install-exec-am:
863
864install-html: install-html-am
865
866install-html-am:
867
868install-info: install-info-am
869
870install-info-am:
871
872install-man:
873
874install-pdf: install-pdf-am
875
876install-pdf-am:
877
878install-ps: install-ps-am
879
880install-ps-am:
881
882installcheck-am:
883
884maintainer-clean: maintainer-clean-am
885        -rm -f Makefile
886maintainer-clean-am: distclean-am maintainer-clean-generic
887
888mostlyclean: mostlyclean-am
889
890mostlyclean-am: mostlyclean-generic mostlyclean-libtool
891
892pdf: pdf-am
893
894pdf-am:
895
896ps: ps-am
897
898ps-am:
899
900uninstall-am:
901
902.MAKE: check-am install-am install-strip
903
904.PHONY: all all-am all-local check check-TESTS check-am clean \
905        clean-generic clean-libtool clean-local cscopelist-am ctags-am \
906        distclean distclean-generic distclean-libtool distdir dvi \
907        dvi-am html html-am info info-am install install-am \
908        install-data install-data-am install-dvi install-dvi-am \
909        install-exec install-exec-am install-html install-html-am \
910        install-info install-info-am install-man install-pdf \
911        install-pdf-am install-ps install-ps-am install-strip \
912        installcheck installcheck-am installdirs maintainer-clean \
913        maintainer-clean-generic mostlyclean mostlyclean-generic \
914        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
915        uninstall uninstall-am
916
917.PRECIOUS: Makefile
918
919
920# .INTERMEDIATE: ${TESTS}
921
922all-local: ${TESTS:=.run}
923
924runall : ${TESTS:=.run}
925        @ echo "All programs terminated normally"
926
927watchall : ${TESTS:=.watch}
928        @ echo "All programs terminated normally"
929
930compileall : ${TESTS}
931        @ echo "Compiled"
932
933clean-local:
934        rm -f ${TESTS} core* out.log .type
935
936% : %.c ${CC} ${UPDATED_TYPE}
937        ${AM_V_GEN}${CC} ${CFLAGS} ${<} $(debug) -o ${@}
938
939%.run : % ${REPEAT}
940        @ time ${REPEAT} -r out.log -i -s $(repeats) timeout ${max_time} ./${<}
941        @ rm ${<}
942        @ echo -e "${<}: SUCCESS\n"
943
944%.watch : % ${WATCHDOG}
945        @ time ${WATCHDOG} ./${<}
946        @ rm ${<}
947        @ echo -e "${<}: SUCCESS\n"
948
949%.time : % ${REPEAT}
950        @ ${REPEAT} -i -s -- $(repeats) $(TIME) -a -o times.log ./${<}
951        @ rm ${<}
952        @ echo -e "${<}: SUCCESS\n"
953
954${REPEAT}: ${abs_top_srcdir}/tools/Makefile
955        @+make -C ${abs_top_srcdir}/tools/
956
957${WATCHDOG}: ${abs_top_srcdir}/tools/Makefile
958        @+make -C ${abs_top_srcdir}/tools/
959
960# Tell versions [3.59,3.63) of GNU make to not export all variables.
961# Otherwise a system limit (for SysV at least) may be exceeded.
962.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.